commit 556941625a39d8f5dda90f13be5b5aeee8f7695f
Author: Martin Lambers <marlam@marlam.de>
Date:   2015-01-13 22:20:11 +0100

    Bump version to 1.2.2

 configure.ac  | 2 +-
 doc/mpop.texi | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 2dafbad83fcafaf731a79571f1385a03b49a0d62
Author: Martin Lambers <marlam@marlam.de>
Date:   2015-01-13 22:19:15 +0100

    Update NEWS

 NEWS | 3 +++
 1 file changed, 3 insertions(+)

commit b135154b38ac8a722dcf2a44c55055788d185a66
Author: Martin Lambers <marlam@marlam.de>
Date:   2015-01-06 20:57:55 +0100

    Write the IDN host name into the Received header.
    
    This should be supported nowadays, no need to fall back to pure ASCII anymore.

 src/pop3.c | 18 ------------------
 1 file changed, 18 deletions(-)

commit c8e598f5272b63ec1f368ad9c486b566a72fc2de
Author: Martin Lambers <marlam@marlam.de>
Date:   2015-01-06 20:57:23 +0100

    Fix --version output for IDN without libidn

 src/mpop.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit b608db82993a6f4a4884bb34bb00b3b6dbdb2172
Author: Martin Lambers <marlam@marlam.de>
Date:   2015-01-06 20:47:48 +0100

    Increase robustness against POP3 servers reporting wrong mail and mailbox sizes.
    
    A user reported the following for a Smartertools_SmarterMail_1.5 server:
    
    --> STAT
    <-- +OK 33852 -1972428639
    mpop: invalid reply to command STAT
    mpop: error during mail retrieval
    
    The mailbox size was about 15GB; probably a 32 bit overflow.
    
    We don't really need the sizes, so mpop should work even when they are invalid.

 src/mpop.c | 18 ++++++++++++------
 src/pop3.c | 17 +++++++++++------
 src/pop3.h | 12 ++++++------
 3 files changed, 29 insertions(+), 18 deletions(-)

commit ecddb2d566253b69d19e02f834027b26adb6d6a7
Author: Martin Lambers <marlam@marlam.de>
Date:   2015-01-05 08:56:33 +0100

    Update NEWS.

 NEWS | 4 ++++
 1 file changed, 4 insertions(+)

commit a69605ddb8034d173a6b745be75a0a935881cf6e
Author: Martin Lambers <marlam@marlam.de>
Date:   2015-01-04 12:20:35 +0100

    Bump version to 1.2.1, and update copyright year

 configure.ac | 5 +++--
 doc/mpop.1   | 5 +++--
 src/mpop.c   | 4 ++--
 3 files changed, 8 insertions(+), 6 deletions(-)

commit 37ff9d0c3e35e169f01502da27e48f1d714a99c9
Author: Martin Lambers <marlam@marlam.de>
Date:   2015-01-04 12:17:29 +0100

    configure: improve checks for IDN support
    
    A runtime check is added to detect if getaddrinfo() accepts AI_IDN. For
    cross-compilation, it is assumed that it does; the user is informed about
    --disable-gai-idn.

 configure.ac | 50 +++++++++++++++++++++++++++++++++++++++++++++-----
 1 file changed, 45 insertions(+), 5 deletions(-)

commit abdb50781e61c3df2d3c8f067ad3ab3c239f178d
Author: Martin Lambers <marlam@marlam.de>
Date:   2015-01-03 08:02:40 +0100

    Allow an empty argument for proxy_host, as documented.
    
    Bug reported by "PM" on mpop-users.

 src/conf.c | 9 +++------
 1 file changed, 3 insertions(+), 6 deletions(-)

commit 2c3d7a5b2095e8332d80bef67ae4b93cb20c3023
Author: Martin Lambers <marlam@marlam.de>
Date:   2015-01-02 21:47:54 +0100

    Provide --with-tls configure flag to replace --with-ssl (which remains supported for now)

 configure.ac | 25 +++++++++++++++++++++++--
 1 file changed, 23 insertions(+), 2 deletions(-)

commit b2b73720bb8e014dc674df97091c64c97d09b5a4
Author: Martin Lambers <marlam@marlam.de>
Date:   2015-01-02 21:32:16 +0100

    Provide a --disable-gai-idn configure flag.
    
    This is for systems that define AI_IDN for getaddrinfo(), but do not actually
    support it and provide no way to detect this at compile time.
    
    Example: glibc compiled without libidn support, as used by astlinux. Reported
    and fix suggested by Lonnie Abelbeck

 configure.ac | 62 ++++++++++++++++++++++++++++++++++++++------------------------
 src/net.c    |  6 ++++--
 2 files changed, 42 insertions(+), 26 deletions(-)

commit b0bcaefba3ceb85ac23811f96d9576371d2aa5d8
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-12-29 12:17:10 +0100

    Bump version to 1.2.0

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a6cead4d35265fab9baaba65178df1695c766070
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-12-29 12:12:32 +0100

    Remove obsolete README.w32

 Makefile.am |  2 +-
 README.w32  | 26 --------------------------
 2 files changed, 1 insertion(+), 27 deletions(-)

commit b2b9628cab12eb3ba8fc1cd08716a8402bf07a45
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-12-29 12:10:57 +0100

    Change order of auth methods reported by --serverinfo and --version

 src/mpop.c | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit 7d2bf93800f4b46e341f483caace5bf0898c2242
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-12-29 12:08:59 +0100

    Report configuration file location in --version output.

 src/mpop.c | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit f82e08be514f610bee076660179e3ae74a319e75
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-12-29 12:01:56 +0100

    Update README

 README | 23 ++++++++---------------
 1 file changed, 8 insertions(+), 15 deletions(-)

commit dad54a71025359d706a4917c11f63d112eb4a807
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-12-29 10:01:23 +0100

    Fix hyphen/minus problems in man page

 doc/mpop.1 | 36 ++++++++++++++++++------------------
 1 file changed, 18 insertions(+), 18 deletions(-)

commit 5b1f75ba3e36219491c2f5984782e6e130763922
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-12-28 14:32:29 +0100

    Fix typos in man page and manual.

 doc/mpop.1    | 2 +-
 doc/mpop.texi | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit fb0b9da4313678a2a5809eb8bbf3275b1161a0e6
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-12-28 14:03:20 +0100

    Improve man page and manual.

 doc/mpop.1    | 543 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------------------------------------------------
 doc/mpop.texi | 192 +++++++++++++++++++-----------------------------
 2 files changed, 349 insertions(+), 386 deletions(-)

commit 56d444530df2cf5ac7668082dd54683044846584
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-12-28 09:35:44 +0100

    Update the manual. Rework the TLS and Authentication sections.

 doc/mpop.texi | 520 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------------------------------------------------------------------
 1 file changed, 223 insertions(+), 297 deletions(-)

commit 3880467cdef6d37bf6b2e3df454e8ca0f973a491
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-12-25 15:47:15 +0100

    Update configuration file example

 doc/mpop.1         | 159 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------
 doc/mpop.texi      | 117 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------------------------
 doc/mpoprc.example | 117 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------------------------
 3 files changed, 271 insertions(+), 122 deletions(-)

commit a6ce6a4e85ffaa917a1232b155b646fef3397cb0
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-12-25 13:54:14 +0100

    Update documentation of password retrieval.

 doc/mpop.1    | 21 ++++++++-------------
 doc/mpop.texi | 35 +++++++++++++++++++----------------
 2 files changed, 27 insertions(+), 29 deletions(-)

commit ffa4e3349faa063567e93dbac18ffb8704cdadcd
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-12-25 13:35:32 +0100

    Check keyring for password before checking .netrc.
    
    The .netrc method is obsolete, and users using keyrings should not pay the
    performance price of testing ~/.netrc and /etc/netrc.

 src/mpop.c | 69 +++++++++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 37 insertions(+), 32 deletions(-)

commit 1dc2cf3a29a83de6d102cdf32e330c65c72bc928
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-12-17 22:31:38 +0100

    Update configuration file example

 doc/mpoprc.example | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c918287e6120c68b3d7ab14a7061ed678570d6e1
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-12-17 21:54:22 +0100

    Bump version to 1.2.0rc3

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 46bffb613b88ee82147ea3b44e12525f94d6b1a5
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-12-17 21:46:45 +0100

    Update NEWS in preparation of 1.2.0

 NEWS | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 4b08666b3a7d34fa3a30fed5c6d0ec9c775aeb05
Author: Felix Janda <felix.janda@posteo.de>
Date:   2014-12-14 18:32:01 +0100

    tools.h: Include <time.h> for time_t
    
    Fixes compilation with musl libc

 src/tools.h | 2 ++
 1 file changed, 2 insertions(+)

commit 46ade2e110c81c7605041b2defe47730f73a54d4
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-12-11 13:31:03 +0100

    Remove unused variable.
    
    Found by clang.

 src/pop3.c | 1 -
 1 file changed, 1 deletion(-)

commit ff07e75dabf3c32fcadacd9bd6e9cd41a95a1a31
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-12-11 13:30:40 +0100

    Update vim syntax file.

 scripts/vim/mpop.vim | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit e7823a43ad969e4cefa8df049114d6aa903e5d41
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-12-11 06:17:01 +0100

    Improve libsecret support.

 doc/mpop.1    | 6 +++---
 doc/mpop.texi | 6 +++---
 src/mpop.c    | 8 ++++----
 3 files changed, 10 insertions(+), 10 deletions(-)

commit 3de1f09566947cfb1210fcf8b5d4705c10f4f725
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-12-11 06:10:19 +0100

    Update documentation on authentication.

 doc/mpop.1    | 20 ++++++++++----------
 doc/mpop.texi | 43 +++++++++++++++++++++----------------------
 2 files changed, 31 insertions(+), 32 deletions(-)

commit 1f196fe11fcb62d024e32bae84633871d632b8d5
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-12-11 06:18:53 +0100

    Reorganize printing of the configuration.

 src/mpop.c | 92 +++++++++++++++++++++++++++++++++++++++-----------------------------------------------------
 1 file changed, 39 insertions(+), 53 deletions(-)

commit 854a7d3375eb036a2763118eac6a178c5c9b5f7f
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-12-11 06:10:07 +0100

    Change order of auth methods reported in --version and --serverinfo.

 src/mpop.c | 48 ++++++++++++++++++++++++------------------------
 1 file changed, 24 insertions(+), 24 deletions(-)

commit 6cb0503998e50b2b4f6277c1971d7e02ce73014f
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-12-11 06:07:13 +0100

    Fix AUTH PLAIN for Microsoft Exchange servers.

 src/pop3.c | 47 +++++++++++++++--------------------------------
 1 file changed, 15 insertions(+), 32 deletions(-)

commit 3b8f52b3e0bf13c9d3ca70f581af982d2a9934c3
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-12-09 21:26:26 +0100

    Bump version to 1.2.0rc2.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f6fdd8595dd85793f8ff71f2aea5b7d55caefe28
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-12-09 21:25:23 +0100

    Allow password management with secret-tool from libsecret.

 NEWS                                       |   4 ++-
 doc/mpop.1                                 |  16 ++++++----
 doc/mpop.texi                              |  16 ++++++----
 scripts/Makefile.am                        |   6 ++--
 scripts/mpop-gnome-tool/README             |   1 -
 scripts/mpop-gnome-tool/mpop-gnome-tool.py | 175 -----------------------------------------------------------------------------------------------------------
 src/mpop.c                                 |  30 ++++++++++++++++++-
 7 files changed, 56 insertions(+), 192 deletions(-)

commit 175a36724cb992bb1e6e5538e50c9252f72db857
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-12-09 21:18:49 +0100

    Only check configuration file permissions if the file contains secrets (passwords).

 NEWS       |  5 ++++-
 src/conf.c | 40 ++++++++++++++++++++--------------------
 2 files changed, 24 insertions(+), 21 deletions(-)
